#include "../integrator.h"

using namespace sbmlevolver;

namespace sbmlevolver{


class ObjectiveFunction : public ObjectiveFunctionBase{
public:
	/// Default construnctor, may use an input file
	ObjectiveFunction(unsigned long int seed, const char* filename = NULL);
	
	/// Construct the object from a string
	ObjectiveFunction(string, unsigned long int seed = NULL);
	
	/// Destructor
	~ObjectiveFunction();

	/// Get the fitness of a model. Always specify this function!
	double calculateRawFitness(Model*);

	Integrator* integrator;
};


}
